Cannot install SkanLite with SNAPS on Raspberry Pi

Bug #1876146 reported by Janet Jeters on 2020-04-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Snap Store
Undecided
Unassigned

Bug Description

SUMMARY
Cannot install SkanLite with SNAPS as shown at
https://snapcraft.io/install/skanlite/raspbian

I get the message "error" snap "skanlite" is not available on edge for this architecture (armhf) but exists on other architectures (amd64)."

STEPS TO REPRODUCE
1. on raspberry pi type
sudo apt install snapd

2. then reboot
3. then type
sudo snap install skanlite --edge

OBSERVED RESULT
I get the message "error" snap "skanlite" is not available on edge for this architecture (armhf) but exists on other architectures (amd64)."

EXPECTED RESULT
should of installed

SOFTWARE/OS VERSIONS
Raspberry Pi: Raspbian GNU/Linux 10 (buster)

ADDITIONAL INFORMATION
Raspberry Pi 3 B+

Claudio Matsuoka (cmatsuoka) wrote :

Thanks for reporting. This version of skanlite only has an amd64 build and therefore can't be installed on the Pi. I believe the install instructions for distributions at the bottom of the page shouldn't list the Raspberry Pi in this case, so I'm reassigning this issue from snapd to the store for confirmation and further triage.

affects: snapd → snapstore
Claudio Matsuoka (cmatsuoka) wrote :

Also reported in github: https://github.com/canonical-web-and-design/snapcraft.io/issues/2720 (snapcraft.io site displays Raspberry Pi install option for purely amd64 snap)

Daniel Manrique (roadmr) wrote :

Not a bug in the snap store backends, if the software has not been built/published for your architecture then you would understandably not be able to install it.

The github issue noted above is the right place for this report.

Changed in snapstore:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.